Update Split Account
curl --request PUT \
--url https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'X-TenantID: <api-key>' \
--data '
{
"account_no": "0123456789",
"account_name": "John Doe",
"bank_code": "000001",
"name": "John doe",
"email": "johndoe@gmail.com",
"currency": "NGN",
"country": "NGA",
"split_type": "PERCENTAGE",
"split_value": 2,
"active": false
}
'import requests
url = "https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}"
payload = {
"account_no": "0123456789",
"account_name": "John Doe",
"bank_code": "000001",
"name": "John doe",
"email": "johndoe@gmail.com",
"currency": "NGN",
"country": "NGA",
"split_type": "PERCENTAGE",
"split_value": 2,
"active": False
}
headers = {
"Authorization": "<api-key>",
"X-TenantID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<api-key>',
'X-TenantID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_no: '0123456789',
account_name: 'John Doe',
bank_code: '000001',
name: 'John doe',
email: 'johndoe@gmail.com',
currency: 'NGN',
country: 'NGA',
split_type: 'PERCENTAGE',
split_value: 2,
active: false
})
};
fetch('https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'account_no' => '0123456789',
'account_name' => 'John Doe',
'bank_code' => '000001',
'name' => 'John doe',
'email' => 'johndoe@gmail.com',
'currency' => 'NGN',
'country' => 'NGA',
'split_type' => 'PERCENTAGE',
'split_value' => 2,
'active' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json",
"X-TenantID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}"
payload := strings.NewReader("{\n \"account_no\": \"0123456789\",\n \"account_name\": \"John Doe\",\n \"bank_code\": \"000001\",\n \"name\": \"John doe\",\n \"email\": \"johndoe@gmail.com\",\n \"currency\": \"NGN\",\n \"country\": \"NGA\",\n \"split_type\": \"PERCENTAGE\",\n \"split_value\": 2,\n \"active\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("X-TenantID", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}")
.header("Authorization", "<api-key>")
.header("X-TenantID", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"account_no\": \"0123456789\",\n \"account_name\": \"John Doe\",\n \"bank_code\": \"000001\",\n \"name\": \"John doe\",\n \"email\": \"johndoe@gmail.com\",\n \"currency\": \"NGN\",\n \"country\": \"NGA\",\n \"split_type\": \"PERCENTAGE\",\n \"split_value\": 2,\n \"active\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["X-TenantID"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_no\": \"0123456789\",\n \"account_name\": \"John Doe\",\n \"bank_code\": \"000001\",\n \"name\": \"John doe\",\n \"email\": \"johndoe@gmail.com\",\n \"currency\": \"NGN\",\n \"country\": \"NGA\",\n \"split_type\": \"PERCENTAGE\",\n \"split_value\": 2,\n \"active\": false\n}"
response = http.request(request)
puts response.read_body{
"code": "00",
"success": true,
"error": null,
"data": {
"id": 118,
"account_no": "1212121212",
"code": "SSA_E55380AD1783952772114",
"account_name": "Jane Doe",
"name": "Janet Doe",
"email": "janetdoe@gmail.com",
"bank_code": "100004",
"bank_name": "OPAY",
"currency": "NGN",
"country": "NGA",
"split_type": "FLAT",
"split_value": 5000,
"active": true,
"created_at": "2026-07-13T14:26:12.115065",
"last_modified": "2026-07-14T14:19:46.542508009"
},
"message": "split account updated successfully"
}Split Settlements
Update Split Account
This updates an existing split settlement account details.
Note:
- All request body parameters are optional. Include only the fields you want to update.
- Fields omitted from the request will retain their existing values.
PUT
/
settlement
/
settlement
/
merchant
/
split-account
/
{id}
Update Split Account
curl --request PUT \
--url https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'X-TenantID: <api-key>' \
--data '
{
"account_no": "0123456789",
"account_name": "John Doe",
"bank_code": "000001",
"name": "John doe",
"email": "johndoe@gmail.com",
"currency": "NGN",
"country": "NGA",
"split_type": "PERCENTAGE",
"split_value": 2,
"active": false
}
'import requests
url = "https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}"
payload = {
"account_no": "0123456789",
"account_name": "John Doe",
"bank_code": "000001",
"name": "John doe",
"email": "johndoe@gmail.com",
"currency": "NGN",
"country": "NGA",
"split_type": "PERCENTAGE",
"split_value": 2,
"active": False
}
headers = {
"Authorization": "<api-key>",
"X-TenantID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<api-key>',
'X-TenantID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_no: '0123456789',
account_name: 'John Doe',
bank_code: '000001',
name: 'John doe',
email: 'johndoe@gmail.com',
currency: 'NGN',
country: 'NGA',
split_type: 'PERCENTAGE',
split_value: 2,
active: false
})
};
fetch('https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'account_no' => '0123456789',
'account_name' => 'John Doe',
'bank_code' => '000001',
'name' => 'John doe',
'email' => 'johndoe@gmail.com',
'currency' => 'NGN',
'country' => 'NGA',
'split_type' => 'PERCENTAGE',
'split_value' => 2,
'active' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json",
"X-TenantID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}"
payload := strings.NewReader("{\n \"account_no\": \"0123456789\",\n \"account_name\": \"John Doe\",\n \"bank_code\": \"000001\",\n \"name\": \"John doe\",\n \"email\": \"johndoe@gmail.com\",\n \"currency\": \"NGN\",\n \"country\": \"NGA\",\n \"split_type\": \"PERCENTAGE\",\n \"split_value\": 2,\n \"active\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("X-TenantID", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}")
.header("Authorization", "<api-key>")
.header("X-TenantID", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"account_no\": \"0123456789\",\n \"account_name\": \"John Doe\",\n \"bank_code\": \"000001\",\n \"name\": \"John doe\",\n \"email\": \"johndoe@gmail.com\",\n \"currency\": \"NGN\",\n \"country\": \"NGA\",\n \"split_type\": \"PERCENTAGE\",\n \"split_value\": 2,\n \"active\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["X-TenantID"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_no\": \"0123456789\",\n \"account_name\": \"John Doe\",\n \"bank_code\": \"000001\",\n \"name\": \"John doe\",\n \"email\": \"johndoe@gmail.com\",\n \"currency\": \"NGN\",\n \"country\": \"NGA\",\n \"split_type\": \"PERCENTAGE\",\n \"split_value\": 2,\n \"active\": false\n}"
response = http.request(request)
puts response.read_body{
"code": "00",
"success": true,
"error": null,
"data": {
"id": 118,
"account_no": "1212121212",
"code": "SSA_E55380AD1783952772114",
"account_name": "Jane Doe",
"name": "Janet Doe",
"email": "janetdoe@gmail.com",
"bank_code": "100004",
"bank_name": "OPAY",
"currency": "NGN",
"country": "NGA",
"split_type": "FLAT",
"split_value": 5000,
"active": true,
"created_at": "2026-07-13T14:26:12.115065",
"last_modified": "2026-07-14T14:19:46.542508009"
},
"message": "split account updated successfully"
}Authorizations
Body
application/json
Response
Update split account response